Commits

stretchedthin committed 6740b2e

new skins for mplayer

Comments (0)

Files changed (2)

var/vabs/mplayerskins/src/mplayerskins.SlackBuild

+#!/usr/bin/bash
+# This script assumes it will be launched within "/NAME/VERSION/src" dir.
+# With all sources in "src" Your Vector Linux .txz package, slack-desc,
+# and slack-required will be found in "VERSION" dir. The extraction and
+# build will be in a temp dir created in "NAME" dir, and then removed on exit.
+# Comment out second to last line to keep this dir intact.
+#
+# This Template was compiled from the contributions of many users of the Vector
+# Linux forum at http://forum.vectorlinux.com and from tidbits collected 
+# from all over the internet. 
+#
+# Generated by sbbuilder-0.4.14.1, written by Rodrigo Bistolfi 
+# (rbistolfi) and Raimon Grau Cuscó (Kidd) for VectorLinux.
+#
+# Please put your name below if you add some original scripting lines.
+# AUTHORS = 
+
+NAME="mplayerskins"            #Enter package Name!
+VERSION=${VERSION:-"Part1_20121116"}      #Enter package Version!
+VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
+VL_PACKAGER=${VL_PACKAGER:-"stretchedthin"}   #Enter your Name!
+LINK[1]="http://www.mplayerhq.hu/MPlayer/skins/Abyss-1.7.tar.bz2" #Enter URL for package here!
+LINK[2]="http://www.mplayerhq.hu/MPlayer/skins/AlienMind-1.2.tar.bz2"  #Enter URL for package here!
+LINK[3]="http://www.mplayerhq.hu/MPlayer/skins/Ater-1.2.tar.bz2"  #Enter URL for package here!
+LINK[4]="http://www.mplayerhq.hu/MPlayer/skins/Blue-small-1.5.tar.bz2"  #Enter URL for package here!
+LINK[5]="http://www.mplayerhq.hu/MPlayer/skins/BlueHeart-1.5.tar.bz2"  #Enter URL for package here!
+LINK[6]="http://www.mplayerhq.hu/MPlayer/skins/Canary-1.2.tar.bz2"  #Enter URL for package here!
+LINK[7]="http://www.mplayerhq.hu/MPlayer/skins/WMP6-2.2.tar.bz2"  #Enter URL for package here!
+LINK[8]="http://www.mplayerhq.hu/MPlayer/skins/Corelian-1.1.tar.bz2"  #Enter URL for package here!
+LINK[9]="http://www.mplayerhq.hu/MPlayer/skins/CornerMP-1.2.tar.bz2"  #Enter URL for package here!
+LINK[10]="http://www.mplayerhq.hu/MPlayer/skins/CornerMP-aqua-1.4.tar.bz2"  #Enter URL for package here!
+LINK[11]="http://www.mplayerhq.hu/MPlayer/skins/CubicPlayer-1.1.tar.bz2"  #Enter URL for package here!
+LINK[12]="http://www.mplayerhq.hu/MPlayer/skins/XFce4-1.0.tar.bz2"  #Enter URL for package here!
+LINK[13]="http://www.mplayerhq.hu/MPlayer/skins/Cyrus-1.2.tar.bz2"  #Enter URL for package here!
+LINK[14]="http://www.mplayerhq.hu/MPlayer/skins/DVDPlayer-1.1.tar.bz2"  #Enter URL for package here!
+LINK[15]="http://www.mplayerhq.hu/MPlayer/skins/Dushku-1.2.tar.bz2"  #Enter URL for package here!
+LINK[16]="http://www.mplayerhq.hu/MPlayer/skins/ICY-1.0.tar.bz2"  #Enter URL for package here!
+LINK[17]="http://www.mplayerhq.hu/MPlayer/skins/Industrial-1.0.tar.bz2"  #Enter URL for package here!
+LINK[18]="http://www.mplayerhq.hu/MPlayer/skins/JiMPlayer-1.4.tar.bz2"  #Enter URL for package here!
+LINK[19]="http://www.mplayerhq.hu/MPlayer/skins/KDE-0.3.tar.bz2"  #Enter URL for package here!
+LINK[20]="http://www.mplayerhq.hu/MPlayer/skins/Linea-1.0.tar.bz2"  #Enter URL for package here!
+LINK[21]="http://www.mplayerhq.hu/MPlayer/skins/MidnightLove-1.6.tar.bz2"  #Enter URL for package here!
+LINK[22]="http://www.mplayerhq.hu/MPlayer/skins/OSX-Brushed-2.3.tar.bz2"  #Enter URL for package here!
+LINK[23]="http://www.mplayerhq.hu/MPlayer/skins/OSX-Mod-1.1.tar.bz2"  #Enter URL for package here!
+LINK[24]="http://www.mplayerhq.hu/MPlayer/skins/OpenDoh-1.1.tar.bz2"  #Enter URL for package here!
+LINK[25]="http://www.mplayerhq.hu/MPlayer/skins/Orange-1.3.tar.bz2"  #Enter URL for package here!
+LINK[26]="http://www.mplayerhq.hu/MPlayer/skins/PowerPlayer-1.1.tar.bz2"  #Enter URL for package here!
+LINK[27]="http://www.mplayerhq.hu/MPlayer/skins/QPlayer-1.2.tar.bz2"  #Enter URL for package here!
+LINK[28]="http://www.mplayerhq.hu/MPlayer/skins/QuickSilver-1.0.tar.bz2"  #Enter URL for package here!
+LINK[29]="http://www.mplayerhq.hu/MPlayer/skins/Terminator3-1.1.tar.bz2"  #Enter URL for package here!
+
+
+#SYSTEM VARIABLES
+#----------------------------------------------------------------------------
+BUILDNUM=${BUILDNUM:-"1"}
+VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
+BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
+ARCH=${ARCH:-"$(uname -m)"}
+CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
+LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
+ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
+EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
+MAKEDEPENDS=${MAKEDEPENDS:-""} #Add deps needed TO BUILD this package here.
+#----------------------------------------------------------------------------
+
+# DO NOT EXECUTE if NORUN is set to 1
+if [ "$NORUN" != "1" ]; then
+
+#SETUP PACKAGING ENVIRONMENT
+#--------------------------------------------
+CWD=$(pwd)
+cd ../
+RELEASEDIR=$(pwd)
+cd $CWD
+mkdir -p $RELEASEDIR/tmp
+TMP=$RELEASEDIR/tmp
+PKG=$TMP/package-$NAME
+#--------------------------------------------
+
+
+
+if [ $UID != 0 ]; then
+   echo "You are not authorized to run this script. Please login as root"
+   exit 1
+fi
+
+if [ ! -x /usr/bin/requiredbuilder ]; then
+   echo "Requiredbuilder not installed, or not executable."
+   exit 1
+fi
+
+if [ $VL_PACKAGER = "YOURNAME" ]; then
+   echo 'Who are you?
+   Please edit VL_PACKAGER=${VL_PACKAGER:-YOURNAME} in this script.
+   Change the word "YOURNAME" to your VectorLinux packager name.
+   You may also export VL_PACKAGER, or call this script with
+   VL_PACKAGER="YOUR NAME HERE"'
+   exit 1
+fi
+
+
+#CFLAGS SETUP
+#--------------------------------------------
+if [[ "$ARCH" = i?86 ]]; then
+  ARCH=i586
+  SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+  CONFIGURE_TRIPLET="i486-slackware-linux"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fpic"
+  CONFIGURE_TRIPLET="x86_64-slackware-linux"
+  LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "powerpc" ]; then
+  SLKCFLAGS="-O2"
+  CONFIGURE_TRIPLET="powerpc-vlocity-linux"
+  LIBDIRSUFFIX=""
+fi
+
+export CFLAGS="$SLKCFLAGS $CFLAG_OPTIONS"
+export CXXFLAGS=$CFLAGS
+export LDFLAGS="$LDFLAGS $LDFLAG_OPTIONS"
+#--------------------------------------------
+
+
+#GET THE SOURCE
+#--------------------------------------------
+for i in {1..29}
+do
+echo ${LINK[$i]} 
+for SRC in $(echo ${LINK[$i]});do
+if [ ! -f $CWD/$(basename $SRC) ]
+then
+       
+        wget --no-check-certificate -c $SRC
+fi
+done
+done
+#--------------------------------------------
+
+
+rm -rf $PKG
+cd $TMP
+rm -rf $NAME-$VERSION
+
+mkdir -p $PKG
+mkdir -p $PKG/usr/share/mplayer/skins
+
+#EXTRACT SOURCES
+#-----------------------------------------------------
+cd $PKG/usr/share/mplayer/skins
+echo "Extracting source..."
+find $CWD -name "*tar.*" -exec tar xvf {} \; || exit 1
+#this moves whatever was extracted to the std dirname we are expecting
+
+
+#-----------------------------------------------------
+
+
+cd $TMP/$NAME-$VERSION
+
+
+#PATCHES
+#-----------------------------------------------------
+# Put any Patches here *NOTE this only works if all 
+# your patches use the -p1 strip option!
+#-----------------------------------------------------
+for i in $CWD/patches/*;do
+  patch -p1 <$i
+  mkdir -p $PKG/usr/doc/$NAME-$VERSION/patches/
+  cp $i $PKG/usr/doc/$NAME-$VERSION/patches/
+done
+#-----------------------------------------------------
+ 
+ 
+
+#SET PERMISSIONS
+#-----------------------------------------
+echo "Setting permissions..."
+chown -R root:root .
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 2777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 2755 -exec chmod 755 {} \;
+find . -perm 774 -exec chmod 644 {} \;
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+#-----------------------------------------
+mkdir -p $PKG/install/
+
+
+
+#if there is a slack-desc in src dir use it
+if test -f $CWD/slack-desc; then
+cp $CWD/slack-desc $RELEASEDIR/slack-desc
+else
+# This creates the white space in front of "handy-ruler" in slack-desc below.
+
+LENGTH=$(expr length "$NAME")
+SPACES=0
+SHIM=""
+until [ "$SPACES" = "$LENGTH" ]; do
+SHIM="$SHIM "
+let SPACES=$SPACES+1
+done
+
+# Fill in the package summary between the () below.
+# Then package the description, License, Author and Website.
+# There may be no more then 11 $NAME: lines in a valid slack-desc.
+
+cat > $RELEASEDIR/slack-desc << EOF
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+$SHIM|-----handy-ruler------------------------------------------------------|
+$NAME: $NAME (Collections of Skins for MPlayer)
+$NAME:
+$NAME: This is the first of 2 collections of MPlayer skins that are 
+$NAME: available at http://www.mplayerhq.hu/MPlayer/skins/
+$NAME: 
+$NAME: 
+$NAME:
+$NAME:
+$NAME: License: GPL
+$NAME: Authors: 
+$NAME: Website: http://www.mplayerhq.hu/MPlayer/skins/
+
+EOF
+fi
+cat >> $RELEASEDIR/slack-desc << EOF
+
+
+
+#----------------------------------------
+BUILDDATE: $(date)
+PACKAGER:  $VL_PACKAGER
+HOST:      $(uname -srm)
+DISTRO:    $(cat /etc/vector-version)
+CFLAGS:    $CFLAGS
+LDFLAGS:   $LDFLAGS
+CONFIGURE: $(awk "/\\$\ \.\/configure\ /" $TMP/$DIRNAME/config.log)
+
+EOF
+
+cat $RELEASEDIR/slack-desc > $PKG/install/slack-desc
+
+#STRIPPING
+#------------------------------------------------------------------------------------------------------------------
+cd $PKG
+echo " "
+echo "Stripping...."
+echo " "
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+#------------------------------------------------------------------------------------------------------------------
+
+
+#FINISH PACKAGE
+#--------------------------------------------------------------
+echo "Finding dependencies..."
+ADD="$ADDRB" EXCLUDE="$EXRB" requiredbuilder -v -y -s $RELEASEDIR $PKG
+echo "Creating package $NAME-$VERSION-$ARCH-$BUILD.txz"
+makepkg -l y -c n $RELEASEDIR/$NAME-$VERSION-$ARCH-$BUILD.txz
+
+cd $CWD
+echo "Cleaning up temp files..." && rm -rf $TMP
+echo "Package Complete"
+fi
+#--------------------------------------------------------------
+
+# vim: set tabstop=4 shiftwidth=4 foldmethod=marker : ##

var/vabs/mplayerskins/src/slack-desc

+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':'.
+
+            |-----handy-ruler------------------------------------------------------|
+mplayerskins: mplayerskins (Collections of Skins for MPlayer)
+mplayerskins:
+mplayerskins: This is the first of 2 collections of MPlayer skins that are 
+mplayerskins: available at http://www.mplayerhq.hu/MPlayer/skins/
+mplayerskins: 
+mplayerskins: 
+mplayerskins:
+mplayerskins:
+mplayerskins: License: GPL
+mplayerskins: Authors: 
+mplayerskins: Website: http://www.mplayerhq.hu/MPlayer/skins/
+
+
+
+
+#----------------------------------------
+BUILDDATE: Sat Nov 17 00:42:46 MST 2012
+PACKAGER:  stretchedthin
+HOST:      Linux 3.0.8 i686
+DISTRO:    7.0 STD GOLD built on NOV-21-2011
+CFLAGS:    -O2 -march=i586 -mtune=i686 
+LDFLAGS:    
+CONFIGURE: 
+